
QGIS Application - Bug report #16819

Saving point vector as CSV in 2.18.10 X/Y values are not exported anymore

2017-07-09 03:13 PM - magerlin -

Status: Closed

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:2.18.11 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 24718

Description

Saving a shape file as cvs (by rightclicking in the layers panel) used in earlier versions to automatically add an x and y attribute to the csv

file. This does not happen anymore even though geometry AS_XY is the default under Layer Options in the "Save vector layer as..."

dialogue.

If one chooses geometry AS_XYZ instead the columns are added to the csv file as expected.

Associated revisions

Revision fc7ac832 - 2017-07-13 09:58 AM - Jürgen Fischer

vector file writer: reapply integer options (accidentally removed in 9a6235db; fixes #16811, #16819)

Revision cb088a2a - 2017-07-24 10:53 PM - Jürgen Fischer

vector layer save as: adjust our to OGR's defaults

    -  GPX_USE_EXTENSIONS default is false not true (fixes #16811)

    -  CSV GEOMETRY is none not AS_XY (fixes #16819)

(followup 9a6235db)

Revision 601e3735 - 2017-07-24 10:53 PM - Jürgen Fischer

vector layer save as: adjust our to OGR's defaults

    -  GPX_USE_EXTENSIONS default is false not true (fixes #16811)

    -  CSV GEOMETRY is none not AS_XY (fixes #16819)

(backported from commit cb088a2a0cb6224600504574f749348cc4df8bf2)

History

#1 - 2017-07-09 04:39 PM - Giovanni Manghi

- Subject changed from Save as CSV in 2.18.10 stores no geometry to Saving point vector as CSV in 2.18.10 X/Y values are not exported anymore

- Regression? changed from No to Yes

- Category changed from Data Provider/Delimited Text  to Vectors

- Priority changed from Normal to High

- Operating System deleted (Win 7, 64 bit)

Confirmed.
#2 - 2017-07-13 12:06 PM - Jürgen Fischer

- Status changed from Open to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|fc7ac8323f80e245fc952521fc9a658ec4832824.

#3 - 2017-07-24 10:18 AM - salvatore fiandaca

In 2.18.11 the problem is still there

#4 - 2017-07-24 01:25 PM - Giovanni Manghi

- Status changed from Closed to Open

Jurgen, seems the fix was not backported to 2.18, correct?

#5 - 2017-07-24 07:43 PM - Giovanni Manghi

- Affected QGIS version changed from 2.18.10 to 2.18.11

#6 - 2017-07-24 10:59 PM - Jürgen Fischer

- Status changed from Open to Closed

Applied in changeset commit:qgis|cb088a2a0cb6224600504574f749348cc4df8bf2.

#7 - 2017-07-25 12:40 AM - Giovanni Manghi

- Resolution set to fixed/implemented
